﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.NetworkInformation;
using System.Text;
using System.Threading.Tasks;

namespace WarmlyLocomotive;

public class EntityWarmlyLocomotive
{
    public int Speed { get; private set; }

    public double Weight { get; private set; }

    public Color BodyColor { get; private set; }

    public Color AdditionalColor { get; private set; }

    public bool Tube { get; private set; }

    public bool FuelTank { get; private set; }

    public double Step => Speed * 100 / Weight;


    public void Init(int speed, double weight, Color bodyColor, Color
additionalColor, bool tube, bool fuelTank)
    {
        Speed = speed;
        Weight = weight;
        BodyColor = bodyColor;
        AdditionalColor = additionalColor;
        Tube = tube;
        FuelTank = fuelTank;
    }

}
